<h1 id="tableLabel">Tests</h1>

<p *ngIf="!testRun"><em>Loading...</em></p>

<p *ngIf="testRun"> {{testRun.testName}}</p>

<div *ngFor="let question of testRun.questions">
  <div>{{ question.questionText }}</div>
  <div *ngFor="let answer of question.listOfAnswers">
    <div>
      <input [(ngModel)] = "answer.isChecked" type="checkbox" name ="answeroption">
      <label for="answeroption">{{ answer.answerText }}</label>
      
    </div>
  </div>
</div>
<br>

<button (click) = "saveResult()">Save</button>
<p *ngIf = "testResult"> Your test {{testResult.passed?"passed":"failed"}} with {{testResult.score}}% score.</p>
